adminGui.delete();

new GuiControl(adminGui) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "640 480";
   minExtent = "8 2";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "150 0";
      extent = "340 480";
      minExtent = "8 2";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      command = "canvas.popDialog(admingui);";
      accelerator = "escape";
      text = "Administrator Menu";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "1";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "1";
      minSize = "50 50";
      closeCommand = "canvas.popDialog(admingui);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "width";
         vertSizing = "height";
         position = "14 52";
         extent = "191 415";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "255 255 255 128";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 258";
         extent = "121 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui_Wand();";
         text = "Destructo Wand";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 192 100 255";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 72";
         extent = "121 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui_BanPlayer();";
         text = "Ban >>";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 0 0 255";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 387";
         extent = "121 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui.openEnvGui();";
         text = "Environment";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 255 255 255";
      };
      new GuiScrollCtrl() {
         profile = "ColorScrollProfile";
         horizSizing = "width";
         vertSizing = "height";
         position = "14 52";
         extent = "191 415";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         willFirstRespond = "1";
         hScrollBar = "alwaysOff";
         vScrollBar = "alwaysOn";
         constantThumbHeight = "0";
         childMargin = "0 0";
         rowHeight = "10";
         columnWidth = "30";

         new GuiTextListCtrl(lstAdminPlayerList) {
            profile = "GuiTextListProfile";
            horizSizing = "left";
            vertSizing = "height";
            position = "0 0";
            extent = "175 2";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            enumerate = "0";
            resizeCell = "0";
            columns = "0 120";
            fitParentWidth = "1";
            clipColumnText = "0";
               sortedAsc = "1";
               sortedBy = "1";
               sortedNumerical = "1";
         };
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 52";
         extent = "121 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui_KickPlayer();";
         text = "Kick";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 255 0 255";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 428";
         extent = "121 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui.ClickClearBricks();";
         text = "Clear Bricks";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 0 0 255";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "121 30";
         extent = "68 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui.sortNumList(1);";
         text = "BLID";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "1";
         mColor = "255 255 255 255";
            wrap = "0";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 112";
         extent = "121 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "adminGui::spy();";
         text = "Spy";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 255 255 255";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "15 30";
         extent = "68 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui.sortList(0);";
         text = "Name";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "1";
         mColor = "255 255 255 255";
            wrap = "0";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 92";
         extent = "121 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "canvas.pushDialog(unBanGui);";
         text = "Un-Ban >>";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "150 150 255 255";
      };
      new GuiSwatchCtrl(adminGui_banBlocker) {
         profile = "GuiDefaultProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "209 72";
         extent = "124 41";
         minExtent = "8 2";
         enabled = "1";
         visible = "0";
         clipToParent = "1";
         color = "200 200 200 200";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 346";
         extent = "121 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui.clickGameMode();";
         text = "Game Mode";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 255 255 255";
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 305";
         extent = "121 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGui.clickServerSettings();";
         text = "Server Settings";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 255 255 255";
      };
      new GuiSwatchCtrl(adminGui_GameModeBlocker) {
         profile = "GuiDefaultProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "207 345";
         extent = "129 41";
         minExtent = "8 2";
         enabled = "1";
         visible = "0";
         clipToParent = "1";
         color = "200 200 200 200";
      };
      new GuiBitmapButtonCtrl(Button_Fetch) {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 132";
         extent = "121 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGUIPlus::Fetch();";
         text = "Fetch";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "192 255 192 255";
      };
      new GuiBitmapButtonCtrl(Button_Find) {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 152";
         extent = "121 19";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGUIPlus::Find();";
         text = "Find";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "192 255 255 255";
      };
      new GuiBitmapButtonCtrl(Button_Duplicator) {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 180";
         extent = "121 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGUIPlus::Duplicator();";
         text = "Duplicator";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "0 255 0 255";
      };
      new GuiBitmapButtonCtrl(Button_FillCan) {
         profile = "BlockButtonProfile";
         horizSizing = "left";
         vertSizing = "bottom";
         position = "211 219";
         extent = "121 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "AdminGUIPlus::FillCan();";
         text = "Fill Can";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "base/client/ui/button1";
         lockAspectRatio = "0";
         alignLeft = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "247 247 247 255";
      };
   };
};

function AdminGUIPlus::Fetch()
{
	%victim = getField(lstAdminPlayerList.getRowTextByID(lstAdminPlayerList.getSelectedID()), 0);
	commandtoserver('Fetch', %victim);
	canvas.popDialog(admingui);
	canvas.popDialog(escapeMenu);
}
function AdminGUIPlus::Find()
{
	%victim = getField(lstAdminPlayerList.getRowTextByID(lstAdminPlayerList.getSelectedID()), 0);
	commandtoserver('Find', %victim);
	canvas.popDialog(admingui);
	canvas.popDialog(escapeMenu);
}
function AdminGUIPlus::Duplicator()
{
	commandtoserver('Duplicator');
	canvas.popDialog(admingui);
	canvas.popDialog(escapeMenu);
}
function AdminGUIPlus::FillCan()
{
	commandtoserver('Fillcan');
	canvas.popDialog(admingui);
	canvas.popDialog(escapeMenu);
}